﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightReMix
{
    public partial class MainPage : UserControl
    {
        ReMix.ReMixServiceClient client = new ReMix.ReMixServiceClient("BasicHttpBinding_IReMixService", (App.Current as App).ServiceURL);
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            client.GetTalksCompleted += new EventHandler<ReMix.GetTalksCompletedEventArgs>(client_GetTalksCompleted);
            client.GetTalksAsync();
        }

        void client_GetTalksCompleted(object sender, ReMix.GetTalksCompletedEventArgs e)
        {
            if (e.Error != null)
            {
                MessageBox.Show(e.ToString());
            }
            else
            {
                listBox1.ItemsSource = e.Result;
            }
        }
    }
}
